> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Virtual Account

> Update a virtual account



## OpenAPI

````yaml api-reference/banking-api/openapi.json PUT /banking/virtual_accounts/{id}
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/virtual_accounts/{id}:
    put:
      tags:
        - virtual_accounts
      summary: Update virtual account parameters
      description: Update virtual account parameters
      operationId: TrioFoundationWeb.Banking.VirtualAccount.ParametersController.update
      parameters:
        - description: Virtual account ID
          in: path
          name: id
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateParametersParams'
        description: The update virtual account parameters payload
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VirtualAccountParametersResponse'
          description: Account
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500'
          description: Internal server error
      callbacks: {}
components:
  schemas:
    '401':
      example:
        error:
          error_code: UNAUTHORIZED
          error_message: Invalid credentials
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '401'
      type: object
    '500':
      example:
        error:
          error_code: INTEGRATION_ERROR
          error_message: An unexpected issue occurred
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '500'
      type: object
    UUID:
      description: Unique identifier
      format: uuid
      title: UUID
      type: string
    UpdateParametersParams:
      description: Updates an account parameters params
      example:
        automatic_refund_for_person_dead: false
        automatic_refund_for_person_invalid_tax_number: false
        automatic_refund_for_person_underage: false
        in_block_for_legal_entity: true
        in_block_for_pix_qrcode_different_amount_payment: true
        in_block_for_pix_qrcode_different_counterparty_bank_account: false
        in_block_for_pix_qrcode_different_tax_number: true
        in_block_for_pix_qrcode_duplicated_payment: true
        in_block_for_unauthorized_participant: false
        in_block_for_unidentified_deposit: true
        out_block_for_legal_entity: true
        out_blocked: true
      properties:
        automatic_refund_for_person_dead:
          description: Automatic refund for deceased individuals
          type: boolean
        automatic_refund_for_person_invalid_tax_number:
          description: Automatic refund for invalid tax number
          type: boolean
        automatic_refund_for_person_underage:
          description: Automatic refund for underage
          type: boolean
        in_block_for_legal_entity:
          description: In block for legal entity origin
          type: boolean
        in_block_for_pix_qrcode_different_amount_payment:
          description: In block for qrcode different amount payment
          type: boolean
        in_block_for_pix_qrcode_different_counterparty_bank_account:
          description: In block for qrcode different counterparty bank account
          type: boolean
        in_block_for_pix_qrcode_different_tax_number:
          description: In block for qrcode different tax number
          type: boolean
        in_block_for_pix_qrcode_duplicated_payment:
          description: In block for qrcode duplicated payment
          type: boolean
        in_block_for_unauthorized_participant:
          description: In block for unauthorized participant
          type: boolean
        in_block_for_unidentified_deposit:
          description: In block for unidentified deposit
          type: boolean
        out_block_for_legal_entity:
          description: Out block for legal entity destination
          type: boolean
        out_blocked:
          description: Out blocked
          type: boolean
      title: UpdateParametersParams
      type: object
    VirtualAccountParametersResponse:
      description: A virtual account parameters response
      example:
        data:
          automatic_refund_for_person_dead: false
          automatic_refund_for_person_invalid_tax_number: false
          automatic_refund_for_person_underage: false
          in_block_for_legal_entity: true
          in_block_for_pix_qrcode_different_amount_payment: true
          in_block_for_pix_qrcode_different_counterparty_bank_account: false
          in_block_for_pix_qrcode_different_tax_number: true
          in_block_for_pix_qrcode_duplicated_payment: true
          in_block_for_unauthorized_participant: false
          in_block_for_unidentified_deposit: true
          out_block_for_legal_entity: true
          out_blocked: true
          out_refund_blocked: true
          virtual_account_id: 41234d60-f6a9-4c9c-8cc3-5769ce9bbea2
      properties:
        data:
          properties:
            automatic_refund_for_person_dead:
              description: Automatic refund for deceased individuals
              type: boolean
            automatic_refund_for_person_invalid_tax_number:
              description: Automatic refund for invalid tax number
              type: boolean
            automatic_refund_for_person_underage:
              description: Automatic refund for underage
              type: boolean
            in_block_for_legal_entity:
              description: In block for legal entity origin
              type: boolean
            in_block_for_pix_qrcode_different_amount_payment:
              description: In block for qrcode different amount payment
              type: boolean
            in_block_for_pix_qrcode_different_counterparty_bank_account:
              description: In block for qrcode different counterparty bank account
              type: boolean
            in_block_for_pix_qrcode_different_tax_number:
              description: In block for qrcode different tax number
              type: boolean
            in_block_for_pix_qrcode_duplicated_payment:
              description: In block for qrcode duplicated payment
              type: boolean
            in_block_for_unauthorized_participant:
              description: In block for unauthorized participant
              type: boolean
            in_block_for_unidentified_deposit:
              description: In block for unidentified deposit
              type: boolean
            out_block_for_legal_entity:
              description: Out block for legal entity destination
              type: boolean
            out_blocked:
              description: Out blocked
              type: boolean
            out_refund_blocked:
              description: Out refund blocked
              type: boolean
            virtual_account_id:
              description: Unique identifier
              type: string
          type: object
      title: VirtualAccountParametersResponse
      type: object

````